Commit d19881b8 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Updated setup requirements to fix holoviews installation issue.

updated __version__ and __versionalias__
parent 53a4193a
Pipeline #303 failed with stages
in 17 seconds
...@@ -2,8 +2,8 @@ ...@@ -2,8 +2,8 @@
__author__ = """Daniel Scheffler""" __author__ = """Daniel Scheffler"""
__email__ = 'danschef@gfz-potsdam.de' __email__ = 'danschef@gfz-potsdam.de'
__version__ = '0.4.1' __version__ = '0.4.2'
__versionalias__ = 'v20170703.01' __versionalias__ = 'v20170703.02'
from .baseclasses import GeoArray from .baseclasses import GeoArray
......
...@@ -10,7 +10,8 @@ with open('HISTORY.rst') as history_file: ...@@ -10,7 +10,8 @@ with open('HISTORY.rst') as history_file:
history = history_file.read() history = history_file.read()
requirements = [ requirements = [
'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson', 'folium', 'holoviews', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'dill', 'mpld3', 'geojson', 'folium', 'param',
'holoviews', 'bokeh'
#'py_tools_ds' # pip install git+https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git #'py_tools_ds' # pip install git+https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git
] ]
...@@ -18,7 +19,7 @@ test_requirements = ["coverage"] ...@@ -18,7 +19,7 @@ test_requirements = ["coverage"]
setup( setup(
name='geoarray', name='geoarray',
version='0.4.1', version='0.4.2',
description="Fast Python interface for geodata - either on disk or in memory.", description="Fast Python interface for geodata - either on disk or in memory.",
long_description=readme + '\n\n' + history, long_description=readme + '\n\n' + history,
author="Daniel Scheffler", author="Daniel Scheffler",
......
...@@ -10,10 +10,10 @@ RUN /bin/bash -i -c "cd /root; wget https://repo.continuum.io/archive/$anaconda_ ...@@ -10,10 +10,10 @@ RUN /bin/bash -i -c "cd /root; wget https://repo.continuum.io/archive/$anaconda_
# 'conda install --yes -c conda-forge 'icu=58.*' lxml' fixing a bug for conda-forge gdal build, as of 06/2017 # 'conda install --yes -c conda-forge 'icu=58.*' lxml' fixing a bug for conda-forge gdal build, as of 06/2017
RUN /bin/bash -i -c "source /root/anaconda3/bin/activate ; \ RUN /bin/bash -i -c "source /root/anaconda3/bin/activate ; \
conda install --yes pyqt coverage ; \ conda install --yes pyqt coverage ; \
conda install --yes -c ioam holoviews bokeh ; \
conda install --yes -c conda-forge gdal ; \ conda install --yes -c conda-forge gdal ; \
conda install --yes -c conda-forge 'icu=58.*' lxml ; \ conda install --yes -c conda-forge 'icu=58.*' lxml ; \
conda install --yes -c conda-forge glymur pygrib rasterio pyproj cachetools ; \ conda install --yes -c conda-forge glymur pygrib rasterio pyproj cachetools ; \
conda install --yes -c ioam holoviews bokeh ; \
pip install shapely geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse" pip install shapely geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse"
# copy some needed stuff to /root # copy some needed stuff to /root
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment